#include "parsed_entity.h"
#include "config.h"

#include <library/cpp/logger/global/global.h>
#include "const.h"

TTemplateParsedEntity::TTemplateParsedEntity(TConstructParams& params)
    : TParsedDocument::TParsedEntity(params)
{
}

TTemplateComponentParser::TTemplateComponentParser(const TRTYServerConfig& config)
{
    Config = config.ComponentsConfig.Get<TTemplateComponentConfig>(NRTYServer::TemplateComponentName);
}

void TTemplateComponentParser::Parse(TParsingContext& context) const {
    TTemplateParsedEntity* parsedEntity = context.Result.GetComponentEntity<TTemplateParsedEntity>(NRTYServer::TemplateComponentName);
    Y_UNUSED(parsedEntity);
}
